Subject: RE: [bmwg] WG Last Call on Accelerated Stress Benchmarking Drafts

From: "Poretsky, Scott" <[email-masked]>
Date: Tue, 3 Jul 2007 12:01:58 -0400

Hi Jay,

Thank you for the thorough review of these documents.  Over the past 3
months we have had much discussion about Stress testing of BFD off the
mailing list and there was much discussion on the mailing list about
general benchmarking of BFD.  Suggestions were raised by others for
Stress testing that focused on BGP, MPLS, and Operational Security
(OpSec).  The working group consensus was to have a single common
terminology document, a methodology guidelines document, and separate
technology specific methodology documents.  The working group also
reached consensus to focus efforts to complete the terminology and
methodology guidelines documents and then work the technology specific
methodology documents.  For this reason, the BGP and OpSec Stress
Methodologies are currently in an "idle" state at 01 revision.  IMO, BFD
and HA would be interesting additions to the forthcoming set of
methodology documents and it would be excellent for you to contribute
those at the appropriate time to be agreed by the working group.

All BMWG-ers,

Are there any further recommended changes for the Stress Terminology and
Methodology Guidelines?  There have been many excellent comments in the
past.  If you made such comments, could you please review the current
revisions to ensure you are satisfied with the changes?

Thanks,
Scott

-----Original Message-----
From: Jay Karthik (jakarthi) [mailto:[email-masked]] 
Sent: Thursday, May 03, 2007 10:11 AM
To: Poretsky, Scott; [email-masked]
Cc: Al Morton; [email-masked]; Jay Karthik (jakarthi)
Subject: RE: [bmwg] WG Last Call on Accelerated Stress Benchmarking
Drafts

Scott/Shankar,

Over the last few months, we have had discussions on other protocols
that lead us to understand the importance of including these protocols
in the Accelerated Stress work item as well &  to that extent I suggest
that you include the following in the Configuration Set, Startup
Conditions and Instability Conditions (besides other sections as
appropriate).

- BFD sessions with aggressive intervals/different modes to detect
failures in the forwarding plane.

- Redundant Route Processor to verify the check pointing as well as
configuration syncing to the backup/standby route processor/server (HA).

These additions would certainly increase the stress on the device under
test and it would be nice to benchmark the stress the device can handle.

Also, in the introduction section, since there is more than a few
occurrences of 'operational' conditions/network being mentioned, I
suggest you modify text to explicitly state that the 'operational'
conditions/network are simulated in a lab environment. This ensures we
are in line with the charter of the group (although I understand that
you are implying simulated network).

If you like I would be gladly willing to suggest the changes required to
include BFD and HA without altering the overall structure of the
documents.

Cheers,
Jay

> -----Original Message-----
> From: Al Morton [mailto:[email-masked]] 
> Sent: Tuesday, May 01, 2007 5:21 PM
> To: [email-masked]
> Subject: [bmwg] WG Last Call on Accelerated Stress Benchmarking Drafts
> 
> BMWG:
> 
> A WG Last Call period for the Internet-Drafts on
> 
> Terminology for Accelerated Stress Benchmarking Methodology 
> Guidelines for Accelerated Stress Benchmarking
> 
> will be open from 1 May 2007 through 31 May 2007 (1 month).
> 
> 
> URLs for these Internet-Drafts are:
> http://www.ietf.org/internet-drafts/draft-ietf-bmwg-acc-bench-
> term-11.txt
> http://www.ietf.org/internet-drafts/draft-ietf-bmwg-acc-bench-
> meth-07.txt
> 
> 
> These versions incorporate comments resulting from 
> implementation and the first WGLC ending on 28 August 2006, 
> and the authors believe that all those comments have been 
> addressed.  In fact, the authors believe that all comments 
> from the working group have been addressed, dating back to 
> June 2003 when version 00 of the terminology draft was published.
> 
> These drafts are continuing the BMWG Last Call Process. See 
> http://www1.ietf.org/mail-archive/web/bmwg/current/msg00846.html
> the BMWG Last Call Review Template in the message of 4/27/04 
> titled, "Refinements to the BMWG Last Call Process".
> Any additional volunteers to complete the template should 
> contact [email-masked] .  A copy of the template is available here:
> http://home.comcast.net/~acmacm/IDcheck/LastCallTemplate.txt
> 
> Whether or not you decide to volunteer for the directed 
> review, please *read* and express your opinion on whether or 
> not these Internet-Drafts should be given to the Area 
> Directors for publication as Informational RFCs.
> 
> Send your comments to this list or [email-masked]
> 
> Al
> bmwg co-chair
> 
> 
> _______________________________________________
> bmwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/bmwg
> 

_______________________________________________
bmwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bmwg

---

From: "Jay Karthik \(jakarthi\)" <[email-masked]>
Date: Fri, 6 Jul 2007 13:57:15 -0400

Hi Scott,

I agree with you that BFD could be part of forthcoming set of
methodology documents. 

I also verified that the latest version of Accelerated Stress
Benchmarking drafts have all my previous comments incorporated. Thanks
for addressing them.

Cheers,
Jay

> From: Poretsky, Scott [mailto:[email-masked]] 
> Sent: Tuesday, July 03, 2007 12:02 PM
> To: Jay Karthik (jakarthi); [email-masked]
> Cc: Al Morton; [email-masked]
> Subject: RE: [bmwg] WG Last Call on Accelerated Stress 
> Benchmarking Drafts
> 
> Hi Jay,
> 
> Thank you for the thorough review of these documents.  Over 
> the past 3 months we have had much discussion about Stress 
> testing of BFD off the mailing list and there was much 
> discussion on the mailing list about general benchmarking of 
> BFD.  Suggestions were raised by others for Stress testing 
> that focused on BGP, MPLS, and Operational Security (OpSec).  
> The working group consensus was to have a single common 
> terminology document, a methodology guidelines document, and 
> separate technology specific methodology documents.  The 
> working group also reached consensus to focus efforts to 
> complete the terminology and methodology guidelines documents 
> and then work the technology specific methodology documents.  
> For this reason, the BGP and OpSec Stress Methodologies are 
> currently in an "idle" state at 01 revision.  IMO, BFD and HA 
> would be interesting additions to the forthcoming set of 
> methodology documents and it would be excellent for you to 
> contribute those at the appropriate time to be agreed by the 
> working group.
> 
> All BMWG-ers,
> 
> Are there any further recommended changes for the Stress 
> Terminology and Methodology Guidelines?  There have been many 
> excellent comments in the past.  If you made such comments, 
> could you please review the current revisions to ensure you 
> are satisfied with the changes?
> 
> Thanks,
> Scott
> 
> Subject: RE: [bmwg] WG Last Call on Accelerated Stress 
> Benchmarking Drafts
> 
>  
> Scott/Shankar,
> 
> Over the last few months, we have had discussions on other 
> protocols that lead us to understand the importance of 
> including these protocols in the Accelerated Stress work item 
> as well &  to that extent I suggest that you include the 
> following in the Configuration Set, Startup Conditions and 
> Instability Conditions (besides other sections as appropriate).
> 
> - BFD sessions with aggressive intervals/different modes to 
> detect failures in the forwarding plane.
> 
> - Redundant Route Processor to verify the check pointing as 
> well as configuration syncing to the backup/standby route 
> processor/server (HA).
> 
> 
> These additions would certainly increase the stress on the 
> device under test and it would be nice to benchmark the 
> stress the device can handle.
> 
> Also, in the introduction section, since there is more than a 
> few occurrences of 'operational' conditions/network being 
> mentioned, I suggest you modify text to explicitly state that 
> the 'operational'
> conditions/network are simulated in a lab environment. This 
> ensures we are in line with the charter of the group 
> (although I understand that you are implying simulated network).
> 
> If you like I would be gladly willing to suggest the changes 
> required to include BFD and HA without altering the overall 
> structure of the documents.
> 
> Cheers,
> Jay
> 
> 
> implementation and 
> > the first WGLC ending on 28 August 2006, and the authors 
> believe that 
> > all those comments have been addressed.  In fact, the 
> authors believe 
> > that all comments from the working group have been 
> addressed, dating 
> > back to June 2003 when version 00 of the terminology draft was 
> > published.
> > 
> > the BMWG Last Call Review Template in the message of 
> 4/27/04 titled, 
> > "Refinements to the BMWG Last Call Process".
> > Any additional volunteers to complete the template should contact 
> > [email-masked] .  A copy of the template is available here:
> review, please 
> > *read* and express your opinion on whether or not these 
> > Internet-Drafts should be given to the Area Directors for 
> publication 
> > as Informational RFCs.
> >